import request from '@/utils/request'

export function getStandard(params) {
    return request.get('/v2/api/random_standard', { params })
}

export function getOneStandard(id) {
    return request.get(`/v2/api/random_standard/${id}`)
}

export function addStandard(params) {
    return request.post(`/v2/api/random_standard`, params)
}

export function updateStandard(id, params) {
    return request.put(`/v2/api/random_standard/${id}`, params)
}

export function removeStandard(id) {
    return request.delete(`/v2/api/random_standard/${id}`)
}


export function getDetail(params) {
    return request.get('/v2/api/random_standard_detail', { params })
}

export function getOneDetail(id) {
    return request.get(`/v2/api/random_standard_detail/${id}`)
}

export function addDetail(params) {
    return request.post(`/v2/api/random_standard_detail`, params)
}

export function updateDetail(id, params) {
    return request.put(`/v2/api/random_standard_detail/${id}`, params)
}

export function removeDetail(id) {
    return request.delete(`/v2/api/random_standard_detail/${id}`)
}